/*
 * $Id: s.gscdds.h 1.1 96/12/29 19:49:33-00:00 mjacob@bird.feral.com $
 * Copyright (c) 1996, 1997 by Matthew Jacob
 *
 *	This software is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU Library General Public
 *	License as published by the Free Software Foundation; version 2.
 *
 *	This software is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *	Library General Public License for more details.
 *
 *	You should have received a copy of the GNU Library General Public
 *	License along with this software; if not, write to the Free
 *	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *	The author may be reached via electronic communications at
 *
 *		mjacob@feral.com
 *
 *	or, via United States Postal Address
 *
 *		Matthew Jacob
 *		1831 Castro Street
 *		San Francisco, CA, 94131
 */
#ifndef	_gscdds_internal_h
#define	_gscdds_internal_h

#ifdef	__cplusplus
extern "C" {
#endif

#include <sys/err_rec.h>

#define	MAX_UNITS	64

/* This structure must stay the same size whether compiled in 32 or 64
 * bits. Only used by the config method and the driver. */
struct gsc_ddsinfo {
    dev32_t	busid;		/* dev_t for SCSI adapter */
    unsigned long long scsi_id;	/* target */
    unsigned long long lun_id;	/* logical unit */
    char        devname[ERR_NAMESIZE];
};

struct gsc_qvpd {
	char ww_name[20];			/* 0x followed by 16 chars */
	char node_name[20];			/* 0x followed by 16 chars */
};

#ifdef _KERNEL
/* Only for kernel use. Keep in sync with scmd_t */
typedef struct {
    ptr32	cdb;		/* SCSI command block */
    int 	cdblen;		/* length of SCSI command block */
    ptr32	data_buf;	/* pointer to data area */
    int		datalen;	/* length of data area. Zero implies none */
    ptr32	sense_buf;	/* pointer to SENSE DATA area */
    int		senselen;	/* length of sense area. Zero implies none */
    ptr32	statusp;	/* pointer to SCSI status byte */
    int		rw;		/* direction of data transfer- 1 means read */
    int		timeval;	/* secs to complete cmd- 0 means infinite */
} scmd32_t;
#endif

#ifdef __64BIT__
#define	GSC_CMD32	(('G' << 8) | 0)
#endif /* __64BIT__ */

#ifdef	__cplusplus
}
#endif
#endif	/* ! _gscdds_internal_h */
/*
 * mode: c
 * Local variables:
 * c-indent-level: 4
 * c-brace-imaginary-offset: 0
 * c-brace-offset: -4
 * c-argdecl-indent: 4
 * c-label-offset: -4
 * c-continued-statement-offset: 4
 * c-continued-brace-offset: 0
 * End:
 */
